com.brightcove.player.view

## Interface RenderView

- All Known Implementing Classes:
    BrightcoveClosedCaptioningSurfaceView, BrightcoveSurfaceView, BrightcoveTextureView

      public interface RenderView

  A common interface implemented by BrightcoveSurfaceView and BrightcoveTextureView.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.content.Context` | `getContext()`
    `int` | `getHeight()`
    `android.view.SurfaceHolder` | `getHolder()`
    `android.view.ViewGroup.LayoutParams` | `getLayoutParams()`
    `int` | `getMeasuredHeight()`
    `int` | `getMeasuredVideoHeight()`
    `int` | `getMeasuredVideoWidth()`
    `android.view.ViewParent` | `getParent()`
    `Video.ProjectionFormat` | `getProjectionFormat()`
    `android.view.Surface` | `getSurface()`
    `int` | `getVideoHeight()`
    `int` | `getVideoWidth()`
    `int` | `getWidth()`
    `void` | `invalidate()`
    `boolean` | `isShown()`
    `boolean` | `isVrMode()` Checks whether the surface is currently configured to render the video in Google VR mode.
    `void` | `release()`
    `void` | `setLayoutParams(android.view.ViewGroup.LayoutParams layoutParams)`
    `void` | `setProjectionFormat(Video.ProjectionFormat projectionFormat)`
    `void` | `setSurface(android.view.Surface surface)`
    `void` | `setVideoSize(int videoWidth, int videoHeight)`
    `void` | `setVisibility(int visibility)`
    `void` | `setVrMode(boolean vrMode)` Sets whether the surface should render the video in Google VR mode.

- - ### Method Detail

    - #### getContext

          android.content.Context getContext()

    - #### getHolder

          android.view.SurfaceHolder getHolder()

    - #### getHeight

          int getHeight()

    - #### getLayoutParams

          android.view.ViewGroup.LayoutParams getLayoutParams()

    - #### getMeasuredHeight

          int getMeasuredHeight()

    - #### getMeasuredVideoHeight

          int getMeasuredVideoHeight()

    - #### getMeasuredVideoWidth

          int getMeasuredVideoWidth()

    - #### getWidth

          int getWidth()

    - #### getVideoHeight

          int getVideoHeight()

    - #### getVideoWidth

          int getVideoWidth()

    - #### getParent

          android.view.ViewParent getParent()

    - #### getSurface

          android.view.Surface getSurface()

    - #### setSurface

          void setSurface(android.view.Surface surface)

    - #### invalidate

          void invalidate()

    - #### release

          void release()

    - #### setLayoutParams

          void setLayoutParams(android.view.ViewGroup.LayoutParams layoutParams)

    - #### setVideoSize

          void setVideoSize(int videoWidth,
                            int videoHeight)

    - #### setVisibility

          void setVisibility(int visibility)

    - #### isShown

          boolean isShown()

    - #### getProjectionFormat

          @NonNull
          Video.ProjectionFormat getProjectionFormat()

    - #### setProjectionFormat

          void setProjectionFormat(@Nullable
                                   Video.ProjectionFormat projectionFormat)

    - #### isVrMode

          boolean isVrMode()

      Checks whether the surface is currently configured to render the video in Google VR mode.
      Returns:
        true if Google VR mode is enabled, otherwise false.
      See Also:
        `setVrMode(boolean)`

    - #### setVrMode

          void setVrMode(boolean vrMode)

      Sets whether the surface should render the video in Google VR mode.
      Parameters:
        `vrMode` - true if Google VR mode should be enabled, otherwise false.
      See Also:
        `isVrMode()`